Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.util
Enum Tokenizer.FTUnit

    java.lang.Object
      java.lang.Enum<Tokenizer.FTUnit>
          org.basex.util.Tokenizer.FTUnit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Tokenizer.FTUnit>

Enclosing class:
  Tokenizer

    public static enum Tokenizer.FTUnit

extends java.lang.Enum<Tokenizer.FTUnit>

Units.

Enum Constant Summary
`PARAGRAPH` Paragraph unit.
`SENTENCE` Sentence unit.
`WORD` Word unit.

Method Summary
`java.lang.String` | `toString()` Returns a string representation.
`static Tokenizer.FTUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Tokenizer.FTUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WORD

    public static final Tokenizer.FTUnit WORD

  Word unit.

### SENTENCE

    public static final Tokenizer.FTUnit SENTENCE

  Sentence unit.

### PARAGRAPH

    public static final Tokenizer.FTUnit PARAGRAPH

  Paragraph unit.

Method Detail

### values

    public static Tokenizer.FTUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Tokenizer.FTUnit c : Tokenizer.FTUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Tokenizer.FTUnit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Returns a string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Tokenizer.FTUnit>`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD